#
# CDDL HEADER START
#
# The contents of this file are subject to the terms of the
# Common Development and Distribution License (the "License").
# You may not use this file except in compliance with the License.
#
# You can obtain a copy of the license at usr/src/OPENSOLARIS.LICENSE
# or http://www.opensolaris.org/os/licensing.
# See the License for the specific language governing permissions
# and limitations under the License.
#
# When distributing Covered Code, include this CDDL HEADER in each
# file and include the License file at usr/src/OPENSOLARIS.LICENSE.
# If applicable, add the following below this CDDL HEADER, with the
# fields enclosed by brackets "[]" replaced with your own identifying
# information: Portions Copyright [yyyy] [name of copyright owner]
#
# CDDL HEADER END
#
# Copyright 1999 Sun Microsystems, Inc. All rights reserved.
# Use is subject to license terms.
#
# @(#)recurse.Makefile 1.5 06/12/12
#

# Include this Makefile in directories which simply cd down a level
# and continue the build.
#
# The SUBDIRS macro must be set before including recurse.Makefile
# The OTHER_TARGS macro can be set to process targets other than
# directories.

include ${TOP}/master.Makefile

all		:= TARG = all 
clean		:= TARG = clean 
clobber		:= TARG = clobber 
install		:= TARG = install 
l10n_install	:= TARG = l10n_install
lintit		:= TARG = lintit

all clean clobber install l10n_install lintit:: ${SUBDIRS} ${OTHER_TARGS}

# Conditional is in place so a "make" from the top level will work on
# partial source hierarchies.

${SUBDIRS}: FRC
	@if [ -d $@/$(CPU) ]; then \
		echo "cd $@/$(CPU); ${MAKE} ${MFLAGS} DESTDIR=${DESTDIR} RELEASE_VER="${RELEASE_VER}" ${ENVPARMS} ${TARG}"; \
		cd $@/$(CPU); ${MAKE} ${MFLAGS} DESTDIR=${DESTDIR} RELEASE_VER="${RELEASE_VER}" ${ENVPARMS} ${TARG}; \
	elif [ -d $@ ]; then \
		echo "cd $@; ${MAKE} ${MFLAGS} DESTDIR=${DESTDIR} RELEASE_VER="${RELEASE_VER}" ${ENVPARMS} ${TARG}"; \
		cd $@; ${MAKE} ${MFLAGS} DESTDIR=${DESTDIR} RELEASE_VER="${RELEASE_VER}" ${ENVPARMS} ${TARG}; \
	fi

FRC:

